=== modified file 'libdrizzle/handshake.c'
--- libdrizzle/handshake.c	2010-11-19 17:02:15 +0000
+++ libdrizzle/handshake.c	2010-11-21 16:11:28 +0000
@@ -93,7 +93,7 @@
     return DRIZZLE_RETURN_BAD_HANDSHAKE_PACKET;
   }
 
-  packet_end = con->buffer_ptr + con->packet_size;
+  packet_end= con->buffer_ptr + con->packet_size;
   con->protocol_version= con->buffer_ptr[0];
   con->buffer_ptr++;
 
@@ -170,12 +170,12 @@
   con->buffer_ptr+= 13;
 
   /* MySQL 5.5 adds "mysql_native_password" after the server greeting. */
-  extra_length = packet_end - con->buffer_ptr;
+  extra_length= packet_end - con->buffer_ptr;
   assert(extra_length >= 0);
   if (extra_length > DRIZZLE_MAX_SERVER_EXTRA_SIZE - 1)
-    extra_length = DRIZZLE_MAX_SERVER_EXTRA_SIZE - 1;
+    extra_length= DRIZZLE_MAX_SERVER_EXTRA_SIZE - 1;
   memcpy(con->server_extra, (char *)con->buffer_ptr, extra_length);
-  con->server_extra[extra_length] = 0;
+  con->server_extra[extra_length]= 0;
 
   con->buffer_size-= con->packet_size;
   if (con->buffer_size != 0)

